Bug 243024 - Uses on-battery settings when on AC power
Uses on-battery settings when on AC power
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 18:11 EDT by Steve Hill
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Hill 2007-06-06 18:11:13 EDT
Description of problem:
I have my notebook set to turn off the display after 15 minutes when on battery
power but never to turn it off when on AC.  After reconnecting the machine to AC
power it often still turns the screen off after inactivity.  Fiddling the power
management preferences to enable and then disable the "put display to sleep..."
option in the "on ac power" tab makes the system behave correctly again, but if
you disconnect it and reconnect it it often misbehaves.

It must be receiving the ACPI events since the system tray icon changes.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-4.fc7

How reproducible:
Fairly easilly

Steps to Reproduce:
1. Set screen to never turn off on AC power and turn off after 15 minutes on battery
2. Unplug the power
3. Let the system idle and the display turn off
4. Press a key to wake the display up again
5. plug the power back in
6. wait and watch the display turn off even though it's set to "never" for AC power.
  
Actual results:
The "on ac power" settings aren't correctly applied when the power is reconnected

Expected results:
Behaviour should match the settings in Power Management Preferences

Additional info:
The computer is an Acer TravelMate 6413
Comment 1 Richard Hughes 2007-06-06 18:31:59 EDT
If you do (when starting with AC)

killall gnome-power-manager

Does the display still blank? i.e. are you sure it's not doing hardware blanking?

If so, can you grab the output from

{on ac}
gnome-power-manager --verbose --no-daemon
{wait 60 seconds}
{remove ac}
{wait 60 seconds}
{replug ac}
{wait 60 seconds}

Thanks.
Comment 2 Steve Hill 2007-06-11 11:36:00 EDT
After saying it's quite easy to reproduce, I'm now unable to do so.  I will
leave this as NEEDINFO for now and do some debugging the next time it happens.
Comment 3 Steve Hill 2007-06-23 06:20:57 EDT
The procedure to reproduce this bug appears to be:
1. Connect AC power
2. Hibernate the machine
3. Disconnect AC power
4. Resume the machine
5. Reconnect AC power
6. Wait - after a while the screen will turn off.

It's still not very reproducable - doesn't seem to happen every time.

If I kill gnome-power-manager after the machine resumes then the screen still
turns off, so it appears you're right that it's a hardware/firmware thing. 
However, after adjusting the screen power management settings in
gnome-power-manager it nolonger happens so I guess some register value isn't
being restored when the system resumes.

It should be noted that I have "power_management.quirk.vbe_post" turned on in
HAL (otherwise the screen stays off when resuming from suspend-to-ram in text mode).

When the screen turns off, gnome-power-manager appears to log:

[watch_device_properties_modified_cb] gpm-hal.c:506 (10:03:48):  property
modified '/org/freedesktop/Hal/devices/acpi_BAT0'
[watch_device_property_modified] gpm-hal.c:477 (10:03:48):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_BAT0,
key=battery.remaining_time, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:134 (10:03:48): 
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.remaining_time, added=0,
removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:143 (10:03:48):  emitting
battery-modified : /org/freedesktop/Hal/devices/acpi_BAT0, battery.remaining_time
[battery_modified_cb] gpm-power.c:1670 (10:03:48):       Battery Property
Modified: /org/freedesktop/Hal/devices/acpi_BAT0 battery.remaining_time
[hal_device_property_modified_cb] gpm-button.c:353 (10:03:48):  
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.remaining_time, added=0,
removed=0, finally=0
[watch_device_property_modified] gpm-hal.c:477 (10:03:48):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_BAT0,
key=battery.charge_level.rate, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:134 (10:03:48): 
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.charge_level.rate,
added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:143 (10:03:48):  emitting
battery-modified : /org/freedesktop/Hal/devices/acpi_BAT0, battery.charge_level.rate
[battery_modified_cb] gpm-power.c:1670 (10:03:48):       Battery Property
Modified: /org/freedesktop/Hal/devices/acpi_BAT0 battery.charge_level.rate
[hal_device_property_modified_cb] gpm-button.c:353 (10:03:48):  
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.charge_level.rate,
added=0, removed=0, finally=0
[watch_device_property_modified] gpm-hal.c:477 (10:03:48):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_BAT0,
key=battery.voltage.current, added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:134 (10:03:48): 
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.voltage.current,
added=0, removed=0, finally=0
[hal_device_property_modified_cb] gpm-battery.c:143 (10:03:48):  emitting
battery-modified : /org/freedesktop/Hal/devices/acpi_BAT0, battery.voltage.current
[battery_modified_cb] gpm-power.c:1670 (10:03:48):       Battery Property
Modified: /org/freedesktop/Hal/devices/acpi_BAT0 battery.voltage.current
[hal_device_property_modified_cb] gpm-button.c:353 (10:03:48):  
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.voltage.current,
added=0, removed=0, finally=0
[watch_device_property_modified] gpm-hal.c:477 (10:03:48):       emitting
property-modified : udi=/org/freedesktop/Hal/devices/acpi_BAT0,
key=battery.reporting.rate, added=0, removed=0, finally=1
[hal_device_property_modified_cb] gpm-battery.c:134 (10:03:48): 
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.reporting.rate, added=0,
removed=0, finally=1
[hal_device_property_modified_cb] gpm-battery.c:143 (10:03:48):  emitting
battery-modified : /org/freedesktop/Hal/devices/acpi_BAT0, battery.reporting.rate
[battery_modified_cb] gpm-power.c:1670 (10:03:48):       Battery Property
Modified: /org/freedesktop/Hal/devices/acpi_BAT0 battery.reporting.rate
[battery_kind_cache_update] gpm-power.c:1109 (10:03:48):         1 devices of
type Laptop battery
[battery_kind_cache_update] gpm-power.c:1172 (10:03:48):         emitting
battery-status-changed : Laptop battery
[get_stock_id] gpm-tray-icon.c:680 (10:03:48):   Trying CRITICAL icon: primary,
ups, mouse, keyboard
[get_stock_id] gpm-tray-icon.c:704 (10:03:48):   Trying CHARGING icon: primary, ups
[gpm_power_get_icon_from_status] gpm-power.c:1013 (10:03:48):    got filename:
gpm-primary-080-charging
[gpm_tray_icon_sync] gpm-tray-icon.c:763 (10:03:48):     Going to use stock id:
gpm-primary-080-charging
[gpm_tray_icon_set_image_from_stock] gpm-tray-icon.c:155 (10:03:48):    
emitting icon-changed gpm-primary-080-charging
[gpm_tray_icon_sync] gpm-tray-icon.c:773 (10:03:48):     emitting
description-changed gpm-primary-080-charging
[gpm_power_get_status_summary] gpm-power.c:1449 (10:03:48):      tooltip:
Computer is running on AC power
Laptop battery 16 minutes until charged (86%)
[battery_status_changed_primary] gpm-manager.c:919 (10:03:48):   Resetting
warning to NONE as charging
[battery_status_changed_primary] gpm-manager.c:957 (10:03:48):   Laptop battery
is not discharging
[battery_kind_cache_debug_print] gpm-power.c:569 (10:03:48):     Device : Laptop
battery
[battery_kind_cache_debug_print] gpm-power.c:571 (10:03:48):     number     2  
design     47730
[battery_kind_cache_debug_print] gpm-power.c:573 (10:03:48):     present    1  
last_full  41969
[battery_kind_cache_debug_print] gpm-power.c:575 (10:03:48):     percent    86 
current    36197
[battery_kind_cache_debug_print] gpm-power.c:577 (10:03:48):     charge     1  
rate (raw) 19258
[battery_kind_cache_debug_print] gpm-power.c:579 (10:03:48):     discharge  0  
remaining  979
[battery_kind_cache_debug_print] gpm-power.c:581 (10:03:48):     capacity   0  
voltage    12531
[hal_device_property_modified_cb] gpm-button.c:353 (10:03:48):  
udi=/org/freedesktop/Hal/devices/acpi_BAT0, key=battery.reporting.rate, added=0,
removed=0, finally=1
[dpms_mode_changed_cb] gpm-srv-screensaver.c:202 (10:03:51):     DPMS mode
changed: 3
[gpm_screensaver_add_throttle] gpm-screensaver.c:297 (10:03:51):         adding
throttle reason: 'Display DPMS activated': id 1777454311
[mode_changed_cb] gpm-srv-backlight.c:519 (10:03:51):    emitting mode-changed : off
[dpms_mode_changed_cb] gpm-info.c:511 (10:03:51):        DPMS mode changed: 3
[gpm_info_event_log] gpm-info.c:361 (10:03:51):  Adding 13 to the event log
[gpm_info_data_add] gpm-info-data.c:333 (10:03:51):      Using 95 lines
[gpm_info_data_add] gpm-info-data.c:333 (10:03:51):      Using 97 lines
[gpm_info_data_add] gpm-info-data.c:333 (10:03:51):      Using 93 lines
[gpm_info_data_add] gpm-info-data.c:333 (10:03:56):      Using 96 lines
[gpm_info_data_add] gpm-info-data.c:333 (10:03:56):      Using 98 lines
[gpm_info_data_add] gpm-info-data.c:333 (10:03:56):      Using 94 lines
Comment 4 Bug Zapper 2008-05-14 08:52:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:28:08 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.